Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::DynValue Interface Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::DynValue:

[legend]
Collaboration diagram for DynamicAny::DynValue:

[legend]
List of all members.

## Public Types
typedef DynValue_ptr | _ptr_type
typedef DynValue_var | _var_type
## Public Methods
FieldName | current_member_name () raises (TypeMismatch, InvalidValue)
CORBA::TCKind | current_member_kind () raises (TypeMismatch, InvalidValue)
NameValuePairSeq | get_members ()
void | set_members (in NameValuePairSeq value) raises (TypeMismatch, InvalidValue)
NameDynAnyPairSeq | get_members_as_dyn_any ()
void | set_members_as_dyn_any (in NameDynAnyPairSeq value) raises (TypeMismatch, InvalidValue)
virtual char * | current_member_name (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::TCKind | current_member_kind (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual::DynamicAny::NameValuePairSeq * | get_members (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | set_members (const DynamicAny::NameValuePairSeq &value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual::DynamicAny::NameDynAnyPairSeq * | get_members_as_dyn_any (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | set_members_as_dyn_any (const DynamicAny::NameDynAnyPairSeq &value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
DynValue_ptr | _duplicate (DynValue_ptr obj)
DynValue_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
DynValue_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
DynValue_ptr | _nil (void)
## Static Public Attributes
int | _tao_class_id
## Protected Methods
| DynValue (void)
virtual | ~DynValue (void)
## Private Methods
| DynValue (const DynValue &)
void | operator= (const DynValue &)

## Member Typedef Documentation

typedef DynValue_ptr DynamicAny::DynValue::_ptr_type

| Reimplemented from DynamicAny::DynAny.

typedef DynValue_var DynamicAny::DynValue::_var_type

| Reimplemented from DynamicAny::DynAny.

## Constructor & Destructor Documentation

DynamicAny::DynValue::DynValue | ( | void |  | ) | `[protected]`

virtual DynamicAny::DynValue::~DynValue | ( | void |  | ) | `[protected, virtual]`

DynamicAny::DynValue::DynValue | ( | const DynValue & |  | ) | `[private]`

## Member Function Documentation

DynValue_ptr DynamicAny::DynValue::_duplicate | ( | DynValue_ptr | obj | ) | `[static]`

virtual const char* DynamicAny::DynValue::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from DynamicAny::DynAny.

DynValue_ptr DynamicAny::DynValue::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from DynamicAny::DynAny.

DynValue_ptr DynamicAny::DynValue::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from DynamicAny::DynAny.

virtual void* DynamicAny::DynValue::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from DynamicAny::DynAny.

DynValue_ptr DynamicAny::DynValue::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from DynamicAny::DynAny.

virtual CORBA::TCKind DynamicAny::DynValue::current_member_kind | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

CORBA::TCKind DynamicAny::DynValue::current_member_kind | ( |  | ) | raises (TypeMismatch, InvalidValue)

virtual char* DynamicAny::DynValue::current_member_name | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

FieldName DynamicAny::DynValue::current_member_name | ( |  | ) | raises (TypeMismatch, InvalidValue)

virtual ::DynamicAny::NameValuePairSeq* DynamicAny::DynValue::get_members | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

NameValuePairSeq DynamicAny::DynValue::get_members | ( |  | ) |

virtual ::DynamicAny::NameDynAnyPairSeq* DynamicAny::DynValue::get_members_as_dyn_any | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

NameDynAnyPairSeq DynamicAny::DynValue::get_members_as_dyn_any | ( |  | ) |

void DynamicAny::DynValue::operator= | ( | const DynValue & |  | ) | `[private]`

virtual void DynamicAny::DynValue::set_members | ( | const DynamicAny::NameValuePairSeq &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

void DynamicAny::DynValue::set_members | ( | in NameValuePairSeq | value | ) | raises (TypeMismatch, InvalidValue)

virtual void DynamicAny::DynValue::set_members_as_dyn_any | ( | const DynamicAny::NameDynAnyPairSeq &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

void DynamicAny::DynValue::set_members_as_dyn_any | ( | in NameDynAnyPairSeq | value | ) | raises (TypeMismatch, InvalidValue)

## Member Data Documentation

int DynamicAny::DynValue::_tao_class_id`[static]`

| Reimplemented from DynamicAny::DynAny.

The documentation for this interface was generated from the following files:

- DynamicAny.pidl
- DynamicAnyC.h